<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: FAQ</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="FAQ"></a>EXOTICA: FAQ
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
If and when I get alot of common questions coming in, I'll add them here with an answer.
This file should grow over time.
<hr WIDTH="100%"><br>
&nbsp;&nbsp; <font color="maroon">Euphoria and C related</font><br>
&nbsp;&nbsp; Question: "Where is Exotica's Website at?"<p>
&nbsp;&nbsp; Answer: <a href="http://exotecha.amhosting.com/dev.html">http://exotecha.amhosting.com/dev.html</a><p>

<hr WIDTH="100%"><br>
&nbsp;&nbsp; <font color="maroon">Euphoria and C related</font><br>
&nbsp;&nbsp; Question: "Where do I get DirectX at?"<p>
&nbsp;&nbsp; Answer: <a href="http://www.microsoft.com/directx/">http://www.microsoft.com/directx/</a><p>

<hr WIDTH="100%"><br>
&nbsp;&nbsp; <font color="maroon">Euphoria and C related</font><br>
&nbsp;&nbsp; Question: "DirectX 7.0 allows programs that are made with earlier versions<br>
&nbsp;&nbsp; of DirectX [like commercial games] to run. Why do I need DirectX 7.0?"<p>
&nbsp;&nbsp; Answer: "You are exactly right. Those programs [like commercial games] can call<br>
&nbsp;&nbsp; on the earlier DirectX functions[ like DirectX 6 ] from DirectX 7.0 dlls.<br>
&nbsp;&nbsp; The difference here is that Exotica is programmed with DirectX 7.0 functions.<br>
&nbsp;&nbsp; So, if you still have an earlier version of DirectX than DirectX 7.0, Exotica<br>
&nbsp;&nbsp; will not be able to find and use the DirectX 7.0 functions to execute."<p>

<hr WIDTH="100%"><br>
&nbsp;&nbsp; <font color="maroon">Euphoria related( applies to C variable appActive also)</font><br>
&nbsp;&nbsp; Question: "My program crashes if I alt-tab out of my program. Why?"<p>
&nbsp;&nbsp; Answer: ... <br>
-- global atom aActive -- <p>
When a user needs to alt-tab out of your program for some reason, your program
could crash when the program is still trying to draw to the surface. In Exotica's
'emain.exw' file, there is a global atom called aActive. This atom gets set to 0
if the user alt-tabs out of your program and gets set back to 1 when the user
alt-tabs back into your program. To keep your program from crashing, you can use this
atom like this:<p>
if aActive=1 then <br>
-- Do your ussual drawing here or even your whole main loop code.<br>
end if<p>

You can use aActive to either pause the game during an alt-tab out of your program or
keep your program running without DirectX trying to draw to the surface.<p>

<hr WIDTH="100%"><br>
&nbsp;&nbsp; <font color="maroon">Euphoria related( Applies to C files also)</font><br>
&nbsp;&nbsp; Question: "Can I alter your .ew files?"<p>
&nbsp;&nbsp; Answer: Yes ... <br>
All the .exw and .ew files are just examples on how to use Exotica for Euphoria. You can modify
any of them to suit your needs. Yes, you can change emain.ew or even merge it in to your
main code if you wants to. You can even include more WIN32 functions into the 
ewin32api.ew file if you need more, but if you do that and download a new version
of exotica later and still use your updated ewin32api file, you might just miss out
on other WIN32 function I might of added that may even be needed to use new Exotica
functions with. At the moment, I don't see why you would want to modify the
exotica_api.ew file. I will be adding things to both those api files. I won't be
able to take offers of someone sending me their updated api files because I need
to do them myself to insure that I'm doing things right. So it would be best to at 
least leave the exotica_api alone and just send me email about what you think should
be added from DirectX.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

</center>
</body>
</html>
